apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: netbox-postgresql
  namespace: argocd
spec:
  destination:
    name: in-cluster
    namespace: default
  project: netbox.default
  source:
    chart: postgresql
    helm:
      parameters:
      - name: postgresqlDatabase
        value: netbox
    repoURL: https://charts.bitnami.com/bitnami
    targetRevision: 10.12.4
  syncPolicy:
    syncOptions:
    - CreateNamespace=true